import { jsx } from "react/jsx-runtime";
import { CurrencyKrw as CurrencyKrw$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyKrw = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CurrencyKrw", ...props, children: /* @__PURE__ */ jsx(CurrencyKrw$1, { weight: variant }) });
  }
);
CurrencyKrw.displayName = "CurrencyKrw";
Object.assign(CurrencyKrw, { isGdsIcon: true });
export {
  CurrencyKrw
};
